curl --request POST \
--url https://api.cadanapay.com/v1/tax/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryCode": "QA",
"type": "gross-to-net",
"salary": {
"amount": 1000000,
"currency": "QAR"
}
}
'{
"grossAmount": {
"amount": 1000000,
"currency": "QAR"
},
"netAmount": {
"amount": 930000,
"currency": "QAR"
},
"deductions": [
{
"name": "Social Insurance",
"amount": {
"amount": 70000,
"currency": "QAR"
}
}
],
"employerContributions": [
{
"name": "Social Insurance",
"amount": {
"amount": 140000,
"currency": "QAR"
}
}
]
}Estimate gross or net salary for a given country and type
curl --request POST \
--url https://api.cadanapay.com/v1/tax/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryCode": "QA",
"type": "gross-to-net",
"salary": {
"amount": 1000000,
"currency": "QAR"
}
}
'{
"grossAmount": {
"amount": 1000000,
"currency": "QAR"
},
"netAmount": {
"amount": 930000,
"currency": "QAR"
},
"deductions": [
{
"name": "Social Insurance",
"amount": {
"amount": 70000,
"currency": "QAR"
}
}
],
"employerContributions": [
{
"name": "Social Insurance",
"amount": {
"amount": 140000,
"currency": "QAR"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.